﻿-- Author      : Nogarder
-- Create Date : 2012/8/31 6:39:43
NPA_Options.RegisterPageFunc("ClassLib",function()

	local Localization=NPA_Options.Localization.PagesResourcesLibClassLib
	local Tooltips=Localization.Tooltips
	---
	local parent=NPA_Options.MainFrame
	--
	local main=NPA_Options.Template.CreateFrameWithBar(parent,Localization["Class"],100,240,nil,nil)
	main:Hide()
	local page=main.Frame
	--
	page:SetWidth(100)
	page:SetHeight(240)
	--
	local width=90
	local step=-5
	--player button
	local playerbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Player"])
	playerbutton:SetPoint("TOP",page,"TOP",0,-5)
	NPA_Options.Template.SetTooltips(Tooltips["Player"],playerbutton,nil,2)
	NPA_Options.SetPageButton(playerbutton,"ClassLibPlayer",main)
	--totem button
	local totembutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Totem"])
	totembutton:SetPoint("TOPLEFT",playerbutton,"BOTTOMLEFT",0,-5)
	NPA_Options.Template.SetTooltips(Tooltips["Totem"],totembutton,nil,2)
	NPA_Options.SetPageButton(totembutton,"ClassLibTotem",main)
	--creature button
	local creaturebutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Creature"])
	creaturebutton:SetPoint("TOPLEFT",totembutton,"BOTTOMLEFT",0,-5)
	NPA_Options.Template.SetTooltips(Tooltips["Creature"],creaturebutton,nil,2)
	NPA_Options.SetPageButton(creaturebutton,"ClassLibCreature",main)
	--vendor button
	local vendorbutton=NPA_Options.Template.CreateButton(page,width,15,Localization["Vendor"])
	vendorbutton:SetPoint("TOPLEFT",creaturebutton,"BOTTOMLEFT",0,-5)
	NPA_Options.Template.SetTooltips(Tooltips["Vendor"],vendorbutton,nil,2)
	NPA_Options.SetPageButton(vendorbutton,"ClassLibVendor",main)
	--
	NPA_Options.RegisterPage("ClassLib",main)

end)